macptopbm(1)

NAME
macptopbm - convert a MacPaint file into a portable bitmap

SYNOPSIS
macptopbm [-extraskip N] [macpfile]

DESCRIPTION
Reads a MacPaint file as input. Produces a portable bitmap as output.

OPTIONS

-extraskip
    This flag is to get around a problem with some methods of transferring files from the Mac world to the Unix world. Most of these methods leave the Mac files alone, but a few of them add the "finderinfo" data onto the front of the Unix file. This means an extra 128 bytes to skip over when reading the file. The symptom to watch for is that the resulting PBM file looks shifted to one side. If you get this, try -extraskip 128, and if that still doesn't look right try another value.

All flags can be abbreviated to their shortest unique prefix.

SEE ALSO
picttoppm(1), pbmtomacp(1), pbm(5)

AUTHOR
Copyright (C) 1988 by Jef Poskanzer. The MacPaint-reading code is copyright (c) 1987 by Patrick J. Naughton (naughton@wind.sun.com).